Subject: Re: [MMUSIC] RTSP: Clarifying setup in Multicast

From: Magnus Westerlund <[email-masked]>
Date: Mon, 01 Dec 2008 13:18:35 +0100

HAAS Christian skrev:
> Hello!
> 
> From: Rémi Denis-Courmont 
>> I don't really understand the subtlety here. I mean, how would we end up in
> 
>> the no dest_addr case? Should the server not provide the infos in DESCRIBE
> in 
>> the first place?
> 
> Not if it is a dynamically created multicast presentation.
> The server is configured to use a pool of x multicast streams, which is used
> on demand by request of the client that doesn't know the destination address.
> The server responds to a DESCRIBE with invalid c= info, and the client sends
> a minimal Transport header. The server then allocates on of the multicast
> streams and returns the actually used parameters.
> At least this is the application I could think of.
> 
> 
>> Conversely, if the SDP is not obtained via RTSP (DESCRIBE), and does
> contain a 
>> multicast transport address, why would the client (need to) talk to the
> RTSP 
>> server at all? Supposedly this is a permanent multicast stream then 
>> (without "seeking" capabilities).
> 
> Since the SDP does not state whether the stream is permanent or not (in the
> sense of dynamically started/stopped depending on existing listeners) --
> There was a related discussion on this list, though I hope not to mix up some
> possibly separate topics.
> 
> 
>> Perhaps we should remove the "No dest_addr" case.
> 
> I have to admit though, if it is not in the DESCRIBE, at least the client
> should set something at least as a recommendation (how the client would guess
> it to work) - and still, the server has the final word and may choose another
> configuration.
> Although, who is more knowledgeable about available multicast distributions -
> the client or the server?
> 

I don't think we can completely remove No dest_addr. I make it undefined
 and remove any explanation on what happens in this situation.

Any more opinions on this?

Cheers

Magnus Westerlund

IETF Transport Area Director & TSVWG Chair
----------------------------------------------------------------------
Multimedia Technologies, Ericsson Research EAB/TVM
----------------------------------------------------------------------
Ericsson AB                | Phone  +46 10 7148287
Färögatan 6                | Mobile +46 73 0949079
SE-164 80 Stockholm, Sweden| mailto: [email-masked]
----------------------------------------------------------------------
_______________________________________________
mmusic mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mmusic